/*
 *	Copyright The Windward Group, 1992.
 *      All Rights Reserved.
 *
 *	Copyright 3Com Corporation, 1992, 1993, 1994, 1995.
 *      All Rights Reserved.
 *
 *	3Com Corporation Proprietary and Confidential
 *
 *	%VER UNIX Driver for 3C90x version 2.0.0d
 *	Space.c file for SCO LLI
 */
#include "config.h"

#if defined(E3H3_UNITS)

/* if there are four boards installed in the system, 
   use the following defines */

#define E3H_TOT_UNITS (E3H3_UNITS + E3H2_UNITS + E3H1_UNITS + E3H_UNITS)
int e3H_cnt = E3H_TOT_UNITS;
unsigned e3Hioaddr[E3H_TOT_UNITS] = 
		{ E3H_0_SIOA, E3H1_0_SIOA, E3H2_0_SIOA, E3H3_0_SIOA };
unsigned e3Hintl[E3H_TOT_UNITS] = 
		{ E3H_0_VECT, E3H1_0_VECT, E3H2_0_VECT, E3H3_0_VECT };

#elif defined(E3H2_UNITS)

/* else if there are three boards installed in the system, 
   use the following defines */

#define E3H_TOT_UNITS (E3H2_UNITS + E3H1_UNITS + E3H_UNITS)
int e3H_cnt = E3H_TOT_UNITS;
unsigned e3Hioaddr[E3H_TOT_UNITS] = { E3H_0_SIOA, E3H1_0_SIOA, E3H2_0_SIOA};
unsigned e3Hintl[E3H_TOT_UNITS] = { E3H_0_VECT, E3H1_0_VECT, E3H2_0_VECT};

#elif defined(E3H1_UNITS)

/* else if there are two boards installed in the system, 
   use the following defines */

#define E3H_TOT_UNITS (E3H1_UNITS + E3H_UNITS)
int e3H_cnt = E3H_TOT_UNITS;
unsigned e3Hioaddr[E3H_TOT_UNITS] = { E3H_0_SIOA, E3H1_0_SIOA};
unsigned e3Hintl[E3H_TOT_UNITS] = { E3H_0_VECT, E3H1_0_VECT};

#elif defined(E3H_UNITS)

/* else if there is only one board installed in the system, 
   use the following defines */

#define E3H_TOT_UNITS (E3H_UNITS)
int e3H_cnt = E3H_TOT_UNITS;
unsigned e3Hioaddr[E3H_TOT_UNITS] = { E3H_0_SIOA};
unsigned e3Hintl[E3H_TOT_UNITS] = { E3H_0_VECT};

#endif

/* Node addres can be overridden by specifying new node address below */
short e3H_Node_Addr_Override[4] = {0, 0, 0, 0};  /* change to 1 to overrride */
unsigned char e3H_New_Node_Addr[4] [6] = {
	{0x00, 0x00, 0x00, 0x00, 0x00, 0x00},
	{0x00, 0x00, 0x00, 0x00, 0x00, 0x00},
	{0x00, 0x00, 0x00, 0x00, 0x00, 0x00},
	{0x00, 0x00, 0x00, 0x00, 0x00, 0x00}
};

/*
	Media type may be overridden.  Default is to let the NIC determine the
	speed and duplex mode.  
*/
#define MEDIA_OVERRIDE_DEFAULT	0
#define MEDIA_OVERRIDE_NONE	0
#define MEDIA_OVERRIDE_AUTO	1
#define MEDIA_OVERRIDE_100_HALF	2
#define MEDIA_OVERRIDE_100_FULL	3
#define MEDIA_OVERRIDE_10_HALF	4
#define MEDIA_OVERRIDE_10_FULL	5

/* 
	Media type (ie. speed and half/full duplex) can be specified.
    See space.h for appropriate values
 */
short e3H_Media_Override[4] = {
	MEDIA_OVERRIDE_DEFAULT, 
	MEDIA_OVERRIDE_DEFAULT,
	MEDIA_OVERRIDE_DEFAULT,
	MEDIA_OVERRIDE_DEFAULT
};

